Rivet: Experiment-specific tau efficiency and smearing functions

| Rivet 3.1.9

Functions
Experiment-specific tau efficiency and smearing functions
Detector smearing & efficiency functions

## Functions
double | Rivet::TAU_EFF_ATLAS_RUN1 (const Particle &t)
| ATLAS Run 1 8 TeV tau efficiencies (medium working point)
double | Rivet::TAUJET_EFF_ATLAS_RUN1 (const Jet &j)
| ATLAS Run 1 8 TeV tau misID rates (medium working point)
double | Rivet::TAU_EFF_ATLAS_RUN2 (const Particle &t)
| ATLAS Run 2 13 TeV tau efficiencies (medium working point)
double | Rivet::TAUJET_EFF_ATLAS_RUN2 (const Jet &j)
| ATLAS Run 2 13 TeV tau misID rate (medium working point)
Particle | Rivet::TAU_SMEAR_ATLAS_RUN1 (const Particle &t)
Particle | Rivet::TAU_SMEAR_ATLAS_RUN2 (const Particle &t)
double | Rivet::TAU_EFF_CMS_RUN1 (const Particle &t)
double | Rivet::TAU_EFF_CMS_RUN2 (const Particle &t)
Particle | Rivet::TAU_SMEAR_CMS_RUN1 (const Particle &t)
Particle | Rivet::TAU_SMEAR_CMS_RUN2 (const Particle &t)

## Detailed Description

## Function Documentation

## ◆ TAU_EFF_ATLAS_RUN1()

double Rivet::TAU_EFF_ATLAS_RUN1 | ( | const Particle & | t | ) |
| inline

ATLAS Run 1 8 TeV tau efficiencies (medium working point)

Taken from http://arxiv.org/pdf/1412.7086.pdf 20-40 GeV 1-prong LMT eff|mis = 0.66|1/10, 0.56|1/20, 0.36|1/80 20-40 GeV 3-prong LMT eff|mis = 0.45|1/60, 0.38|1/100, 0.27|1/300

> ‍40 GeV 1-prong LMT eff|mis = 0.66|1/15, 0.56|1/25, 0.36|1/80 40 GeV 3-prong LMT eff|mis = 0.45|1/250, 0.38|1/400, 0.27|1/1300

References Rivet::ParticleBase::abseta(), Rivet::Particle::abspid(), Rivet::Particle::children(), Rivet::inRange(), and Rivet::Kin::p().

## ◆ TAU_EFF_ATLAS_RUN2()

double Rivet::TAU_EFF_ATLAS_RUN2 | ( | const Particle & | t | ) |
| inline

ATLAS Run 2 13 TeV tau efficiencies (medium working point)

From https://atlas.web.cern.ch/Atlas/GROUPS/PHYSICS/PUBNOTES/ATL-PHYS-PUB-2015-045/ATL-PHYS-PUB-2015-045.pdf LMT 1 prong efficiency/mistag = 0.6|1/30, 0.55|1/50, 0.45|1/120 LMT 3 prong efficiency/mistag = 0.5|1/30, 0.4|1/110, 0.3|1/300

References Rivet::ParticleBase::abseta(), Rivet::Particle::abspid(), Rivet::Particle::children(), Rivet::inRange(), and Rivet::Kin::p().

## ◆ TAU_EFF_CMS_RUN1()

double Rivet::TAU_EFF_CMS_RUN1 | ( | const Particle & | t | ) |
| inline

CMS Run 1 tau efficiency

Todo:
  Needs work; this is just a copy of the Run 2 version in Delphes 3.3.2

References Rivet::Particle::abspid().

## ◆ TAU_EFF_CMS_RUN2()

double Rivet::TAU_EFF_CMS_RUN2 | ( | const Particle & | t | ) |
| inline

CMS Run 2 tau efficiency

Todo:
  Needs work; this is the dumb version from Delphes 3.3.2

References Rivet::Particle::abspid().

## ◆ TAU_SMEAR_ATLAS_RUN1()

Particle Rivet::TAU_SMEAR_ATLAS_RUN1 | ( | const Particle & | t | ) |
| inline

ATLAS Run 1 tau smearing

Todo:
  Currently a copy of the jet smearing

Todo:
  Also need a JES uncertainty component?

Todo:
  Is this the best way to smear? Should we preserve the energy, or pT, or direction?

References Rivet::binIndex(), Rivet::ParticleBase::mass(), Rivet::Kin::mass(), Rivet::ParticleBase::mass2(), Rivet::max(), Rivet::FourMomentum::mkXYZM(), Rivet::ParticleBase::pT(), Rivet::ParticleBase::px(), Rivet::ParticleBase::py(), Rivet::ParticleBase::pz(), and Rivet::randnorm().

Referenced by Rivet::TAU_SMEAR_ATLAS_RUN2(), and Rivet::TAU_SMEAR_CMS_RUN1().

## ◆ TAU_SMEAR_ATLAS_RUN2()

Particle Rivet::TAU_SMEAR_ATLAS_RUN2 | ( | const Particle & | t | ) |
| inline

ATLAS Run 2 tau smearing

Todo:
  Currently a copy of the Run 1 version

References Rivet::TAU_SMEAR_ATLAS_RUN1().

## ◆ TAU_SMEAR_CMS_RUN1()

Particle Rivet::TAU_SMEAR_CMS_RUN1 | ( | const Particle & | t | ) |
| inline

CMS Run 1 tau smearing

Todo:
  Currently a copy of the crappy ATLAS one

References Rivet::TAU_SMEAR_ATLAS_RUN1().

Referenced by Rivet::TAU_SMEAR_CMS_RUN2().

## ◆ TAU_SMEAR_CMS_RUN2()

Particle Rivet::TAU_SMEAR_CMS_RUN2 | ( | const Particle & | t | ) |
| inline

CMS Run 2 tau smearing

Todo:
  Currently a copy of the Run 1 version

References Rivet::TAU_SMEAR_CMS_RUN1().

## ◆ TAUJET_EFF_ATLAS_RUN1()

double Rivet::TAUJET_EFF_ATLAS_RUN1 | ( | const Jet & | j | ) |
| inline

ATLAS Run 1 8 TeV tau misID rates (medium working point)

Taken from http://arxiv.org/pdf/1412.7086.pdf 20-40 GeV 1-prong LMT eff|mis = 0.66|1/10, 0.56|1/20, 0.36|1/80 20-40 GeV 3-prong LMT eff|mis = 0.45|1/60, 0.38|1/100, 0.27|1/300

> ‍40 GeV 1-prong LMT eff|mis = 0.66|1/15, 0.56|1/25, 0.36|1/80 40 GeV 3-prong LMT eff|mis = 0.45|1/250, 0.38|1/400, 0.27|1/1300

References Rivet::ParticleBase::abseta(), Rivet::inRange(), Rivet::Kin::p(), Rivet::Jet::particles(), and Rivet::Jet::tauTags().

## ◆ TAUJET_EFF_ATLAS_RUN2()

double Rivet::TAUJET_EFF_ATLAS_RUN2 | ( | const Jet & | j | ) |
| inline

ATLAS Run 2 13 TeV tau misID rate (medium working point)

From https://atlas.web.cern.ch/Atlas/GROUPS/PHYSICS/PUBNOTES/ATL-PHYS-PUB-2015-045/ATL-PHYS-PUB-2015-045.pdf LMT 1 prong efficiency/mistag = 0.6|1/30, 0.55|1/50, 0.45|1/120 LMT 3 prong efficiency/mistag = 0.5|1/30, 0.4|1/110, 0.3|1/300

References Rivet::ParticleBase::abseta(), Rivet::inRange(), Rivet::Kin::p(), Rivet::Jet::particles(), and Rivet::Jet::tauTags().